"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const Alias = require("../../../lib/core/alias");
const logger = require("../../../lib/core/logApi");
const Messages = require("../../../lib/messages");
const ToolbeltCommand_1 = require("../../../ToolbeltCommand");
const messages = Messages();
class AliasSetCommand extends ToolbeltCommand_1.ToolbeltCommand {
    async run() {
        const _ = require('lodash');
        const context = await this.resolveLegacyContext();
        return this.execLegacyCommand({
            execute: execContext => Alias.parseAndSet(execContext.args, execContext.flags.group).then(savedAliases => {
                logger.styledHeader(logger.color.blue('Alias Set'));
                return _.map(savedAliases, (value, alias) => ({ alias, value }));
            }),
            getColumnData: () => [{ key: 'alias', label: 'Alias' }, { key: 'value', label: 'Value' }]
        }, context);
    }
}
AliasSetCommand.theDescription = messages.getMessage('description', [], 'aliasSetCommand');
AliasSetCommand.longDescription = messages.getMessage('longDescription', [], 'aliasSetCommand');
AliasSetCommand.help = messages.getMessage('help', [], 'aliasSetCommand');
AliasSetCommand.requiresProject = false;
AliasSetCommand.varargs = { required: true };
exports.AliasSetCommand = AliasSetCommand;

//# sourceMappingURL=set.js.map
