import { FlagsConfig, SfdxCommand } from '@salesforce/command';
export declare type AuthListInfo = {
    username: string;
    orgId: string;
    instanceUrl: string;
    accessToken?: string;
    oauthMethod?: 'jwt' | 'web' | 'token' | 'unknown';
    error?: string;
};
export declare class AuthListCommand extends SfdxCommand {
    static readonly description: string;
    static readonly longDescription: string;
    static readonly flagsConfig: FlagsConfig;
    private errors;
    run(): Promise<AuthListInfo[]>;
    protected computeAuthList(): Promise<AuthListInfo[]>;
}
