"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
// This is the legacy converted command file. Ignoring code-coverage since this is generated.
// THIS SHOULD BE REMOVED WHEN CONVERTED TO EXTEND SfdxCommand
/* istanbul ignore file */
const command_1 = require("@salesforce/command");
const Messages = require("../../../../lib/force-cli/force-cli-messages");
const ToolbeltCommand_1 = require("../../../../ToolbeltCommand");
class DataRecordCreateCommand extends ToolbeltCommand_1.ToolbeltCommand {
    async run() {
        const context = await this.resolveLegacyContext();
        const { DataRecordCreateCommand } = require('../../../../lib/data/dataRecordCreateCommand');
        return await this.execLegacyCommand(new DataRecordCreateCommand(), context);
    }
}
DataRecordCreateCommand.theDescription = Messages.get('DataRecordCreateDescription');
DataRecordCreateCommand.longDescription = Messages.get('DataRecordCreateLongDescription');
DataRecordCreateCommand.help = Messages.get('DataRecordCreateHelp');
DataRecordCreateCommand.requiresProject = false;
DataRecordCreateCommand.requiresUsername = true;
DataRecordCreateCommand.supportsPerfLogLevelFlag = true;
DataRecordCreateCommand.flagsConfig = {
    sobjecttype: command_1.flags.string({
        char: 's',
        required: true,
        hidden: false,
        description: Messages.get('DataRecordCreateSobjectDescription'),
        longDescription: Messages.get('DataRecordCreateSobjectLongDescription')
    }),
    values: command_1.flags.string({
        char: 'v',
        required: true,
        hidden: false,
        description: Messages.get('DataRecordCreateValuesDescription'),
        longDescription: Messages.get('DataRecordCreateValuesLongDescription')
    }),
    usetoolingapi: command_1.flags.boolean({
        char: 't',
        required: false,
        hidden: false,
        description: Messages.get('DataRecordCreateToolingDescription'),
        longDescription: Messages.get('DataRecordCreateToolingLongDescription')
    })
};
exports.DataRecordCreateCommand = DataRecordCreateCommand;

//# sourceMappingURL=create.js.map
