import { ExecuteAnonymousResult } from 'jsforce';
export interface ExecuteAnonymousResult {
    compiled: boolean;
    compileProblem: string;
    success: boolean;
    line: number;
    column: number;
    exceptionMessage: string;
    exceptionStackTrace: string;
}
export declare class ApexExecuteCommand {
    constructor();
    validate(context: any): void;
    execute(context: any, doneCallback?: (...args: any[]) => any): Promise<any>;
}
/**
 * get apex code from stdin when no filepath arg provided
 * exposed for unit testing (mocked)
 */
export declare let apexFromUserInput: (context: any, doneCallback?: (...args: any[]) => any) => Promise<any>;
/**
 *  get apex code from provided file
 *  exposed for unit testing (mocked)
 *  @param {string} filepath - file containing apex code
 */
export declare let apexFromFile: (context: any, doneCallback?: (...args: any[]) => any) => Promise<any>;
/**
 * creates and sends SOAP request
 * exposed for unit testing
 * @param {string} apexCode - code to debug
 * @param {function} callback - function that accepts the xml response from the server
 */
export declare let execute: (context: any, apexCode: string, callback: (response: any) => void) => Promise<void>;
/**
 *  output results to user
 *  exposed for unit testing
 *  @param {ExecuteAnonymousResult} result
 *  @param {string} debugInfo
 */
export declare let handleResult: (result: ExecuteAnonymousResult, debugInfo: string, doneCallback?: (...args: any[]) => any) => void;
