"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apexLogApi_1 = require("./apexLogApi");
const MAX_NUM_OF_LOGS = 25;
class ApexLogGetCommand {
    async execute(context, doneCallback) {
        const org = context.org;
        const apexLogApi = new apexLogApi_1.ApexLogApi(org, context.flags);
        if (context.flags.logid) {
            return await apexLogApi.logLog(context.flags.logid);
        }
        else {
            const numOfLogs = +context.flags.number || 1;
            return await apexLogApi.logLogs(numOfLogs > MAX_NUM_OF_LOGS ? MAX_NUM_OF_LOGS : numOfLogs);
        }
    }
}
exports.ApexLogGetCommand = ApexLogGetCommand;

//# sourceMappingURL=apexLogGetCommand.js.map
