/// <reference types="node" />
import * as http from 'http';
export interface OauthListenerConfig {
    orgApi: {
        config: {
            getOauthLocalPort: () => number;
        };
    };
    oauthConfig: {
        clientId: string;
        redirectUri: string;
        loginUrl: string;
        clientSecret: string;
    };
    validateState: (id: string) => boolean;
    type: string;
    handleDemoModePrompt: (username: string) => Promise<string>;
    server?: http.Server;
}
/**
 * main entry point for service
 */
export declare function startOauth(listenerConfig: OauthListenerConfig): Promise<{
    oauthResponse: Promise<any>;
}>;
export declare function getSocketTimeout(): number;
export declare const DEFAULT_CLIENT_SOCKET_TIMEOUT = 20000;
