"use strict";
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Helper class to convert cli wait times between minutes and milliseconds.
 */
class Time {
    constructor(minutes) {
        this.minutes = minutes;
    }
    get seconds() {
        return this.minutes * Time.SECONDS_IN_MINUTE;
    }
    get milliseconds() {
        return this.seconds * Time.MILLI_IN_SECONDS;
    }
}
Time.MILLI_IN_SECONDS = 1000;
Time.SECONDS_IN_MINUTE = 60;
exports.Time = Time;

//# sourceMappingURL=time.js.map
