"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Display = require("../force-cli/force-cli-display");
const Config = require("../force-cli/force-cli-config");
const DataRecordUtils = require("./dataRecordUtils");
class DataRecordGetCommand {
    async execute(context) {
        DataRecordUtils.validateIdXorWhereFlags(context);
        const conn = await Config.getActiveConnection(context);
        const sobjectid = await DataRecordUtils.retrieveId(conn, context);
        const record = context.flags.usetoolingapi
            ? await conn.tooling.retrieve(context.flags.sobjecttype, sobjectid)
            : await conn.sobject(context.flags.sobjecttype).retrieve(sobjectid);
        Display.record(record);
        return record;
    }
}
exports.DataRecordGetCommand = DataRecordGetCommand;

//# sourceMappingURL=dataRecordGetCommand.js.map
