import { Dictionary } from '@salesforce/ts-types';
declare class LightningTestApi {
    [property: string]: any;
    /**
     * The API class that manages running Lightning tests.
     *
     * @param org {object} The org for running tests.
     */
    constructor(org: any);
    /**
     * Create the output directory the the test results will be stored if doesn't exist
     */
    setupOutputDirectory(): any;
    startSelenium(config?: {}): any;
    /**
     *
     * Initialize the test api to specify additional options and setup the
     * output directory if needed.
     *
     * @param {object} options The options used to run the tests. You can see a
     * list of valid options in the by looking at the defaults in the constructor.
     * @param {object} logger The logger object, which should typically be the
     * heroku cli.
     */
    initialize(options?: Dictionary<any>): any;
    /**
     * Run the specified tests.
     */
    runTests(): any;
    runTestAndExtractResults(outputDivId: any, timeout: any): any;
    startSessionWaitForDiv(url: any, appname: any, outputDivId: any, timeout: any): any;
    extractTestResults(outputDivId: any): any;
    getFrontDoorUrl(appname: any): any;
    generateResultSummary(testResults: any): any;
    extractDuration(): any;
    /**
     * Retrieve the test results then store them by logging the test results
     * to the client and filesystem.
     */
    retrieveAndStoreTestResults(results: any): any;
    /**
     * Log test results to the console and/or the filesystem depending on the options
     */
    logTestArtifacts(): any;
}
export = LightningTestApi;
