"use strict";
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
const MdapiDeployReportApi = require("./mdapiDeployReportApi");
const Stash = require("../core/stash");
/**
 * Command implementation that uses mdapiDeployApi to deploy source - directory or zip - to given org.
 */
class MetadataDeployReportCommand {
    constructor(context, stashkey = Stash.Commands.MDAPI_DEPLOY) {
        this.stashkey = stashkey;
        this.mdDeployReport =
            new MdapiDeployReportApi(context.org, undefined, this.stashkey);
    }
    validate(context) {
        return this.mdDeployReport.validate(context);
    }
    execute(context) {
        return this.mdDeployReport.report(context);
    }
}
module.exports = MetadataDeployReportCommand;

//# sourceMappingURL=mdapiDeployReportCommand.js.map
