/**
 * Copyright, 1999-2017, salesforce.com
 * All Rights Reserved
 * Company Confidential
 */
/**
 * Class for decorating org status and connected status in the org:list and display commands.
 */
declare class OrgDecorator {
    logger: any;
    /**
     * constructor
     * @param {object} logger - if falsely then no highlighting occurs.
     */
    constructor(logger?: any);
    /**
     * helper to decorate the org status
     * @param {object} val - org metadata
     */
    decorateStatus(val: any): any;
    /**
     * helper to decorate the org connectedStatus
     * @param {object} val - org metadata
     */
    decorateConnectedStatus(val: any): any;
}
export = OrgDecorator;
