/**
 * Org Preferences are exposed through different APIs
 * Singleton object encapsulating registry of supported Org Preference types
 */
declare const _default: {
    ACCOUNT_SETTINGS_API: string;
    ACTIVITIES_SETTINGS_API: string;
    CONTRACT_SETTINGS_API: string;
    ENTITLEMENT_SETTINGS_API: string;
    FORECASTING_SETTINGS_API: string;
    IDEAS_SETTINGS_API: string;
    KNOWLEDGE_SETTINGS_API: string;
    LIVE_AGENT_SETTINGS_API: string;
    NAME_SETTINGS_API: string;
    OPPORTUNITY_SETTINGS_API: string;
    ORDER_SETTINGS_API: string;
    PRODUCT_SETTINGS_API: string;
    QUOTE_SETTINGS_API: string;
    SEARCH_SETTINGS_API: string;
    ORGANIZATION_SETTINGS_DETAIL_API: string;
    /**
     * Takes in an org preference name and returns the API through which it is set
     * @param prefName The org preference name
     * @returns the API name for the org preference
     */
    whichApi(prefName: any): string;
    /**
     * Takes in an org preference name and returns the MD-API name
     * @param prefName The org preference name
     * @returns the MDAPI name for the org preference
     */
    forMdApi(prefName: any): string;
    /**
     * Convenience method for testing to get Org Preference Map
     * @returns the Org Preference Map
     */
    allPrefsMap(): Map<string, string>;
};
export = _default;
