/**
 * Certain Org Features require a translation or should be deprecated.
 * Encapsulates feature mappings and deprecated features.
 */
interface FeatureTypes {
    featureMapping: object;
    deprecatedFeatures: string[];
}
export declare class ScratchOrgFeatureDeprecation {
    private featureTypes;
    constructor(options?: FeatureTypes);
    /**
     * Gets list of feature warnings that should be logged
     * @param features The requested features.
     * @returns List of string feature warnings.
     */
    getFeatureWarnings(features: string | string[]): string[];
    /**
     * Removes all deprecated features for the organization.
     * @param features List of features to filter
     * @returns feature array with proper mapping.
     */
    filterDeprecatedFeatures(features: string[]): string[];
}
export {};
