import * as BBPromise from 'bluebird';
/**
 * Helper class for dealing with the settings that are defined in a scratch definition file.  This class knows how to extract the
 * settings from the definition, how to expand them into a MD directory and how to generate a package.xml.
 */
declare class SettingsGenerator {
    private settingData;
    /** extract the settings from the scratch def file, if they are present. */
    extract(scratchDef: any): void;
    /** True if we are currently tracking setting data. */
    hasSettings(): boolean;
    /** This will copy all of the settings in the scratchOrgInfo orgPreferences mapping into the new settings structure.  It
     *  will also spit out a warning about the pending deprecation og the orgPreferences structure. */
    migrate(scratchDef: any): Promise<void>;
    /** Create temporary deploy directory used to upload the scratch org shape.
     * This will create the dir, generate package.xml and all of the .setting files.
     * @returns {BBPromise<string>} The temporary deployment destination directory.
     */
    createDeployDir(apiVersion: any): BBPromise<string>;
    _createSettingsFileContent(name: any, json: any): any;
    cap(s: any): any;
}
export = SettingsGenerator;
