"use strict";
/*
 * Copyright (c) 2016, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const BBPromise = require("bluebird");
const fs = BBPromise.promisifyAll(require('fs'));
const consts = require("../../core/constants");
const Messages = require("../../messages");
const messages = Messages();
const UpgradeAction_1 = require("./UpgradeAction");
exports.HEADS_UP = /"([A-Z])(\w*"\s*:)/g;
exports.REPLACE_FN = (whole, m1, m2) => `"${m1.toLowerCase()}${m2}`;
async function default_1(projectDir, prompt) {
    const projectFile = path.join(projectDir, consts.WORKSPACE_CONFIG_FILENAME);
    const fileContents = await fs.readFileAsync(projectFile, 'utf8');
    if (fileContents.match(exports.HEADS_UP)) {
        return new UpgradeAction_1.default(messages.getMessage('action_headsDownProject', [consts.WORKSPACE_CONFIG_FILENAME], 'projectUpgrade'), () => {
            return fs.writeFileAsync(projectFile, fileContents.replace(exports.HEADS_UP, exports.REPLACE_FN));
        });
    }
    return BBPromise.resolve(null);
}
exports.default = default_1;

//# sourceMappingURL=heads-down-project.js.map
