/**
 * manage blacklisted metadata members.
 */
declare class BlacklistManager {
    /**
     * simple getter for the blacklisted elements
     * @returns {Array}
     */
    static readonly blacklist: any[];
    /**
     * blacklist a member
     * @param {string} metadataName - the metadata api type name. i.e. ApexClass, CustomObject
     */
    static blacklistMember(metadataName: any): void;
    /**
     * query to determine if a type is blacklisted.
     * @param {string} metadataName - the metadata type name to check
     * @returns {boolean} - true if the element is on the blacklist.
     */
    static isBlacklisted(metadataName: any): boolean;
    /**
     * remove an element from the black list
     * @param {string} metadataName - The metadata type name to remove
     */
    static deList(metadataName: any): void;
}
export = BlacklistManager;
