/**
 * An api class for converting a source directory in mdapi package format into source compatible with an SFDX workspace.
 */
declare class MdapiConvertApi {
    [property: string]: any;
    constructor(force?: any);
    /**
     * @returns {string} the directory for the output
     */
    /**
    * set the value of the output directory
    * @param {string} outputDirectory - the new value of the output directory.
    */
    outputDirectory: any;
    /**
     * @returns {string} value of the root directory to convert. default to the project directory
     */
    /**
    * set the value of the root directory to convert
    * @param {string} sourceRootValue - a directory containing a package.xml file. Is should represents a valid mdapi
    * package.
    */
    root: any;
    isValidSourcePath(sourcePath: any): boolean;
    /**
     * Returns a promise to convert a metadata api directory package into SFDX compatible source.
     * @returns {BBPromise}
     */
    convertSource(org: any): any;
}
export = MdapiConvertApi;
