/**
 * Class used to derive changed org metadata.
 */
declare class SourceMetadataMemberRetrieveHelper {
    [property: string]: any;
    constructor(metadataRegistry: any);
    /**
     * returns the last edit revision count on the scratch org.
     * @returns {BBPromise}
     */
    getLatestSourceRevisionCount(): any;
    shouldAddMember(mdApiItem: any, obsoleteNames: any): boolean;
    /**
     * gets all source metadata revisions from the server from <fromRevision>.
     * @param {number} fromRevision - get all changes after this revision number
     * @returns
     * "Package": {
     *   "$": {
     *     "xmlns": "http://soap.sforce.com/2006/04/metadata"
     *   },
     *   "types": [
     *     {
     *       "name": "ApexClass",
     *       "members": [...]
     *     },
     *     ...
     *   ],
     *   "version": 38
     *}
     */
    getRevisionsAsPackage(fromRevision: any, obsoleteNames?: any): any;
}
export = SourceMetadataMemberRetrieveHelper;
