import { SourceWorkspaceAdapter } from './sourceWorkspaceAdapter';
import { AsyncCreatable } from '@salesforce/kit';
export declare class SrcStatusApi extends AsyncCreatable<SrcStatusApi.Options> {
    scratchOrg: any;
    force: any;
    swa: SourceWorkspaceAdapter;
    maxRevisionFile: any;
    locallyChangedWorkspaceElements: any[];
    localChanges: any[];
    remoteChanges: any[];
    forceIgnore: any;
    private logger;
    constructor(options: SrcStatusApi.Options);
    protected init(): Promise<void>;
    doStatus(options: any): Promise<void | any[]>;
    private populateLocalChanges;
    private populateServerChanges;
    private forceIgnoreSourceMember;
    private createRemoteChangeElementsFromSourceMember;
    private getRemoteChangeState;
    private getCorrespondingWorkspaceElements;
    private markConflicts;
    getLocalChanges(): any[];
    getRemoteChanges(): any[];
    getLocalConflicts(): any[];
}
export declare namespace SrcStatusApi {
    interface Options {
        org: any;
        adapter?: SourceWorkspaceAdapter;
    }
}
