/**
 *  A container for the test results that provides helpers around formating
 *  and logging test results.
 */
declare class TestResults {
    [property: string]: any;
    constructor(testrunid: any, startTime: any, suitename: any, tests: any, runResultSummaries: any, config: any, passStr?: string, skipStr?: string);
    readonly outcome: "Failed" | "Passed";
    readonly total: any;
    readonly totalFailed: any;
    readonly totalPassed: number;
    readonly totalSkipped: any;
    readonly passRate: string;
    readonly failRate: string;
    readonly summary: any;
    toJson(): any;
    generateJunit(): string;
    getTestContainerName(test: any): string;
    getTestNamespace(test: any): string;
    getTestName(test: any): string;
}
export = TestResults;
